:root {
    --primary: rgb(242, 79, 19);
    /* --primar_s_c:  */
    --sidebar_color: rgb(201, 60, 8);
    --sidebar_color_ligh: rgba(255, 244, 240, 0.852);
    --border_light: rgba(252, 200, 181, 0.852);
    --sidebar_color_b: rgb(250, 129, 86);
}
.p_white {
    color: white;
}
.cursor{
    cursor: pointer;
}

.card{
    border: 1px solid #ddd;
}
.p_color {
    color: var(--primary);
}
.icons {
    color: var(--primary);
}
.navbar-bg {
    background-color: white;
    color: var(--sidebar_color);
}

.text_limit {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 1; /* number of lines to show */
            line-clamp: 1;
    -webkit-box-orient: vertical;
 }

 .z-1 {
    z-index: 1;
 }

 .z-2 {
    z-index: 2;
 }

 .z-3 {
    z-index: 3;
 }

 .z-n1 {
    z-index: -1;
 }
#sidebar-wrapper {
    background-color: rgb(95, 50, 230);
    color: white;
    height: 100%;
}
.main-sidebar .sidebar-menu li.menu-header {
    color: white;
}
.main-sidebar .sidebar-menu li a {
    color: white;
}
.main-sidebar .sidebar-menu li :hover {
    color: rgb(0, 0, 0);
}
.main-sidebar .sidebar-menu li.active a {
    color: black;
}
/* .main-sidebar .sidebar-menu li ul.dropdown-menu{background-color: var(--sidebar_color); color: white;} */
.main-sidebar .sidebar-menu li ul.dropdown-menu li a {
    color: white;
}
body:not(.sidebar-mini) .sidebar-style-2 .sidebar-menu > li.active > a:before {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    height: 25px;
    width: 4px;
    background-color: red;
}
.main-sidebar .sidebar-brand a {
    color: white;
    font-weight: bold;
}
.search-element {
    border: 1px solid var(--primary);
    border-radius: 5px;
}
.page-item.active .page-link {
    background-color: var(--sidebar_color);
    border-color: var(--sidebar_color);
}
.page-item .page-link {
    background-color: var(--sidebar_color_ligh);
    border-color: var(--sidebar_color_ligh);
    color: var(--sidebar_color);
}
.icon_box {
    background-color: var(--sidebar_color_ligh);
    border: 1px solid var(--border_light);
    color: var(--sidebar_color);
    padding: 5px;
    border-radius: 5px;
}
.icons_{
    color: var(--primary);
}
.action_btn {
    background: none;
    border: none;
    cursor: pointer;
    margin-left: 2px;
}
.action_btn:hover {
    transform: scale(1.2);
}
.form-group input:focus {
    border-color: var(--primary);
}
.dropzone {
    border: 2px dashed var(--primary);
    border-radius: 2px;
}

.loader-line {
    display: none;
    width: 100%;
    height: 3px;
    position: absolute;
    overflow: hidden;
    background-color: #ddd;
    margin: 0px auto;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    border-radius: 20px;
    z-index: 999;
}

.loader-line:before {
    content: "";
    position: absolute;
    left: -50%;
    height: 3px;
    width: 40%;
    background-color: rgb(219, 29, 8);
    -webkit-animation: lineAnim 1s linear infinite;
    -moz-animation: lineAnim 1s linear infinite;
    animation: lineAnim 1s linear infinite;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    border-radius: 20px;
}

@keyframes lineAnim {
    0% {
        left: -40%;
    }
    50% {
        left: 20%;
        width: 80%;
    }
    100% {
        left: 100%;
        width: 100%;
    }
}

.images__ {
    width: 150px;
    height: 150px;
}


.add_product_img_box{
    width: 100%;
    align-items: center;
    display: flex;
    align-items: center;
    justify-content: start;
    height: 5rem;  padding: 10px;  background-color: rgb(251, 251, 251);
border: 1px dashed rgb(39, 17, 179);   border-radius: 5px;
text-align: center;
}
#add_pro_forom form input[type="file"]{display: none;}
.add_product_img_box label{width: 100%; height: 100%; font-size: 14px; font-weight: 600; cursor: pointer; display: flex; justify-content: center; align-items: center; }
#images{display: flex;}
#images img{width: 8rem;height: 8rem; border-radius: 5px; background-color: aliceblue; padding: 5px; margin: 5px;}

.min_w{min-width: 10rem}
